[arch-commits] Commit in miro/trunk (PKGBUILD miro.exec.patch)

Ronald van Haren ronald at archlinux.org
Tue Apr 14 13:46:09 EDT 2009


    Date: Tuesday, April 14, 2009 @ 13:46:08
  Author: ronald
Revision: 35619

upgpkg: miro 2.0.4-2

Added:
  miro/trunk/miro.exec.patch
Modified:
  miro/trunk/PKGBUILD

-----------------+
 PKGBUILD        |   14 ++++++++++----
 miro.exec.patch |    9 +++++++++
 2 files changed, 19 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-14 13:56:49 UTC (rev 35618)
+++ PKGBUILD	2009-04-14 17:46:08 UTC (rev 35619)
@@ -3,12 +3,12 @@
 
 pkgname=miro
 pkgver=2.0.4
-pkgrel=1
+pkgrel=2
 pkgdesc="The free and open source internet TV platform"
 arch=('i686' 'x86_64')
 url="http://www.getmiro.com"
 license=('GPL2')
-depends=('xine-lib>=1.1.16.1' 'boost>=1.37.0' 'gnome-python-extras>=2.19.1'
+depends=('xine-lib>=1.1.16.1' 'boost>=1.37.0' 'gnome-python-extras>=2.25.3'
 	 'dbus-python>=0.82.4' 'pyrex' 'xulrunner>=1.9.0.1' 'gtk2' 'nspr')
 makedepends=('pkgconfig' 'pm-utils' 'qt3')
 optdepends=('gstreamer0.10-python: gstreamer backend (potentially unstable)' 'gstreamer0.10: gstreamer backend (potentially unstable')
@@ -16,10 +16,16 @@
 conflicts=('democracy')
 replaces=('democracy')
 provides=('democracy')
-source=(http://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-${pkgver}.tar.gz)
-md5sums=('e6cf48252496b2bddd290f375fc0ca33')
+source=(http://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-${pkgver}.tar.gz
+	miro.exec.patch)
+md5sums=('e6cf48252496b2bddd290f375fc0ca33'
+         '355648eac790d52c51ccb014736f90fc')
 
 build() {
   cd ${srcdir}/Miro-${pkgver}/platform/gtk-x11
   python setup.py install --root=${pkgdir} || return 1
+
+  # Fix FS#14196
+  cd ${pkgdir}
+  patch -Np0 -i ${srcdir}/miro.exec.patch || return 1
 }

Added: miro.exec.patch
===================================================================
--- miro.exec.patch	                        (rev 0)
+++ miro.exec.patch	2009-04-14 17:46:08 UTC (rev 35619)
@@ -0,0 +1,9 @@
+--- usr/bin/miro.old	2009-04-14 19:40:09.578785938 +0200
++++ usr/bin/miro	2009-04-14 19:40:34.445435006 +0200
+@@ -23,5 +23,5 @@
+ 
+     LD_LIBRARY_PATH=/usr/lib/xulrunner-1.9 $GDB -ex 'set breakpoint pending on' -ex 'run' --args $PYTHON ./miro.real --sync "$@"
+ else
+-    LD_LIBRARY_PATH=/usr/lib/xulrunner-1.9 miro.real "$@"
++    MOZILLA_FIVE_HOME="/usr/lib/xulrunner-1.9/" LD_LIBRARY_PATH=/usr/lib/xulrunner-1.9 miro.real "$@"
+ fi



More information about the arch-commits mailing list